import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
export interface SysUser {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    name?: string;
}
export declare class SysUserMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
export interface BmVersion {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    *
    * @type { string }
    */
    bmProjectId?: string;
    /**
    *
    * @type { string }
    */
    basicVersionId?: string;
    /**
    *
    * @type { string }
    */
    versionNo?: string;
    /**
    *
    * @type { number }
    */
    major?: number;
    /**
    *
    * @type { number }
    */
    minor?: number;
    /**
    *
    * @type { boolean }
    */
    released?: boolean;
    /**
    *
    * @type { boolean }
    */
    bmsReleased?: boolean;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    *
    * @type { string }
    */
    javaBuildStatus?: string;
    /**
    *
    * @type { string }
    */
    npmBuildStatus?: string;
    /**
    *
    * @type { string }
    */
    npmPackageName?: string;
    /**
    *
    * @type { string }
    */
    nodeBuildStatus?: string;
    /**
    *
    * @type { string }
    */
    gradlePackageName?: string;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 子表 BmViewModel
    * @type { BmViewModel[] }
    */
    bmViewModel?: BmViewModel[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class BmVersionMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get BM_PROJECT_ID(): FieldInfo;
    static get BASIC_VERSION_ID(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get MAJOR(): FieldInfo;
    static get MINOR(): FieldInfo;
    static get RELEASED(): FieldInfo;
    static get BMS_RELEASED(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get JAVA_BUILD_STATUS(): FieldInfo;
    static get NPM_BUILD_STATUS(): FieldInfo;
    static get NPM_PACKAGE_NAME(): FieldInfo;
    static get NODE_BUILD_STATUS(): FieldInfo;
    static get GRADLE_PACKAGE_NAME(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
export interface BmViewModel {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    bmProjectId?: string;
    /**
    *
    * @type { string }
    */
    versionId?: string;
    /**
    *
    * @type { string }
    */
    versionNo?: string;
    /**
    *
    * @type { string }
    */
    name?: string;
    /**
    *
    * @type { string }
    */
    tableName?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    *
    * @type { boolean }
    */
    released?: boolean;
    /**
    *
    * @type { string }
    */
    buildMethod?: string;
    /**
    *
    * @type { string }
    */
    buildSql?: string;
    /**
    *
    * @type { string }
    */
    datasourceId?: string;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 子表 BmViewModelField
    * @type { BmViewModelField[] }
    */
    bmViewModelField?: BmViewModelField[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class BmViewModelMI {
    static get ID(): FieldInfo;
    static get BM_PROJECT_ID(): FieldInfo;
    static get VERSION_ID(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get NAME(): FieldInfo;
    static get TABLE_NAME(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get RELEASED(): FieldInfo;
    static get BUILD_METHOD(): FieldInfo;
    static get BUILD_SQL(): FieldInfo;
    static get DATASOURCE_ID(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
export interface BmViewModelField {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    bmProjectId?: string;
    /**
    *
    * @type { string }
    */
    bmViewModelId?: string;
    /**
    *
    * @type { string }
    */
    versionId?: string;
    /**
    *
    * @type { string }
    */
    name?: string;
    /**
    *
    * @type { string }
    */
    columnName?: string;
    /**
    *
    * @type { boolean }
    */
    primaryKey?: boolean;
    /**
    *
    * @type { string }
    */
    primaryKeyGenType?: string;
    /**
    *
    * @type { string }
    */
    title?: string;
    /**
    *
    * @type { string }
    */
    dataType?: string;
    /**
    *
    * @type { string }
    */
    javaDataType?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BmViewModelFieldMI {
    static get ID(): FieldInfo;
    static get BM_PROJECT_ID(): FieldInfo;
    static get BM_VIEW_MODEL_ID(): FieldInfo;
    static get VERSION_ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get COLUMN_NAME(): FieldInfo;
    static get PRIMARY_KEY(): FieldInfo;
    static get PRIMARY_KEY_GEN_TYPE(): FieldInfo;
    static get TITLE(): FieldInfo;
    static get DATA_TYPE(): FieldInfo;
    static get JAVA_DATA_TYPE(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
export interface BmModelProject {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    *
    * @type { string }
    */
    packageName?: string;
    /**
    * PID
    * @type { string }
    */
    pid?: string;
    /**
    * 项目代码
    * @type { string }
    */
    code?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in SysUser
    *
    * @type { string }
    */
    createUserName?: string;
    /**
    * 子表 BmVersion
    * @type { BmVersion[] }
    */
    bmVersion?: BmVersion[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class BmModelProjectMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get PACKAGE_NAME(): FieldInfo;
    static get PID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CREATE_USER_NAME(): FieldInfo;
}
